org.apache.commons.jexl.util.introspection

## Interface VelMethod

All Known Implementing Classes:
  UberspectImpl.VelMethodImpl

    public interface VelMethod

Method used for regular method invocation $foo.bar()

Version:
  $Id: VelMethod.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Geir Magnusson Jr.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used
`java.lang.Class` `getReturnType()` returns the return type of the method invoked
`java.lang.Object` `invoke(java.lang.Object o, java.lang.Object[] params)` invocation method - called when the method invocation should be performed and a value returned
`boolean` `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

### Method Detail

#### invoke

    java.lang.Object invoke(java.lang.Object o,
                          java.lang.Object[] params)
                            throws java.lang.Exception

invocation method - called when the method invocation should be performed and a value returned

Parameters:
  `o` -
  `params` -
Returns:
  The resulting object.
Throws:
  `java.lang.Exception`

#### isCacheable

    boolean isCacheable()

specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Returns:
  true if can be reused for this class, false if not

#### getMethodName

    java.lang.String getMethodName()

returns the method name used

Returns:
  The method name used

#### getReturnType

    java.lang.Class getReturnType()

returns the return type of the method invoked

Returns:
  The return type of the method invoked